Name:           tcptraceroute
Version:        1.5
Release:        0.6.beta7.art
Summary:        A traceroute implementation using TCP packets

Group:          Applications/Internet
License:        GPLv2+
URL:            http://michael.toren.net/code/tcptraceroute/
Source0:        http://michael.toren.net/code/tcptraceroute/%{name}-%{version}beta7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libpcap-devel, libnet-devel    
BuildRequires:  %{_includedir}/pcap.h, libnet-devel    

%description
TCPtraceroute is a traceroute implementation using TCP packets.

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that the conventional traceroute(8) sends
out (ICMP echo or UDP) end up being filtered, making it impossible to
completely trace the path to the destination. By sending out TCP SYN packets
instead of UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most
common firewall filters.

%prep
%setup -qn %{name}-%{version}beta7

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name} 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-0.6.beta7
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5-0.5.beta7
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.5-0.3.beta7
- Rebuild for selinux ppc32 issue.

* Wed Jun 20 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.5-0.2.beta7
- Fix typo to really remove duplicate doc files
* Fri May 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.5-0.1.beta7
- Initial build
